#pragma once

class CGpibContec
{
private:
	long m_DeviceAddress;										// Device address

public:
	DWORD m_MyAddress;											// My address
	CString m_ReceiveData;										// Received data

public:
	CGpibContec();
	virtual ~CGpibContec();
	BOOL OpenInterface(DWORD PrimaryAddress);
	BOOL CloseInterface();
	BOOL SendMsg(CString SendData);
	BOOL ReceiveMsg(DWORD Timeout);
	BOOL SendQueryMsg(CString SendData, DWORD Timeout);
};
